(deftheme almost-vim
  "Created 2021-06-04.")

(custom-theme-set-variables
 'almost-vim
 '(ansi-color-names-vector ["black" "#d55e00" "#009e73" "#f8ec59" "#0072b2" "#cc79a7" "#56b4e9" "white"]))

(custom-theme-set-faces
 'almost-vim
 '(cursor ((t (:background "#3e4155"))))
 '(fixed-pitch ((t (:family "Monospace"))))
 '(variable-pitch ((t (:family "Sans Serif"))))
 '(escape-glyph ((t (:foreground "#008ED1"))))
 '(minibuffer-prompt ((t (:background "#B1B1B1" :foreground "black" :weight bold))))
 '(highlight ((t (:background "dark violet" :foreground "white" :underline nil))))
 '(region ((t (:background "#c5cdff" :foreground "black"))))
 '(shadow ((t (:foreground "#7F7F7F"))))
 '(secondary-selection ((t (:weight bold :background "#FBE448"))))
 '(trailing-whitespace ((t (:background "#FFFF57"))))
 '(font-lock-builtin-face ((t (:foreground "DeepSkyBlue4" :weight normal))))
 '(font-lock-comment-delimiter-face ((t (:foreground "#8D8D84"))))
 '(font-lock-comment-face ((t (:foreground "dark gray" :slant italic))))
 '(font-lock-constant-face ((t (:foreground "dark goldenrod" :weight ultra-bold))))
 '(font-lock-doc-face ((t (:foreground "firebrick" :weight normal))))
 '(font-lock-function-name-face ((t (:foreground "black" :weight bold))))
 '(font-lock-keyword-face ((t (:foreground "saddle brown" :weight normal))))
 '(font-lock-negation-char-face ((t (:foreground "black" :weight ultra-bold))))
 '(font-lock-preprocessor-face ((t (:foreground "#808080"))))
 '(font-lock-regexp-grouping-backslash ((t (:weight bold :inherit nil))))
 '(font-lock-regexp-grouping-construct ((t (:weight bold :inherit nil))))
 '(font-lock-string-face ((t (:foreground "firebrick" :slant normal))))
 '(font-lock-type-face ((t (:foreground "DeepSkyBlue4" :weight bold))))
 '(font-lock-variable-name-face ((t (:foreground "dim gray" :weight normal))))
 '(font-lock-warning-face ((t (:weight bold :foreground "red"))))
 '(button ((t (:foreground "dark violet" :box nil :overline nil :underline nil))))
 '(link ((t (:foreground "dark violet" :underline t :weight normal))))
 '(link-visited ((t (:foreground "#E5786D" :underline nil))))
 '(fringe ((t (:background "#ededed" :foreground "black" :weight light :width ultra-condensed))))
 '(header-line ((t (:weight bold :foreground "#dfeff0" :background "#1e2626"))))
 '(tooltip ((t (:foreground "black" :background "light yellow"))))
 '(mode-line ((t (:background "#2b2d3b" :foreground "#c8d0ff" :box (:line-width 1 :color "#222b2b")))))
 '(mode-line-buffer-id ((t (:foreground "white" :weight bold))))
 '(mode-line-emphasis ((t (:foreground "white" :weight bold))))
 '(mode-line-highlight ((t (:background "#1e2626" :foreground "#dfeff0"))))
 '(mode-line-inactive ((t (:box (:line-width 1 :color "#4E4E4C" :style nil) :foreground "#F0F0EF" :background "#9B9C97"))))
 '(isearch ((t (:background "#732C7B" :foreground "white" :underline nil :weight bold))))
 '(isearch-fail ((t (:weight bold :foreground "black" :background "#FF9999"))))
 '(lazy-highlight ((t (:background "#BDAEC6" :foreground "black" :underline nil))))
 '(match ((t (:background "#FBE448" :underline nil :weight bold))))
 '(next-error ((t (:underline nil :background "#FFF876"))))
 '(query-replace ((t (:inherit isearch))))
 '(tty-menu-selected-face ((t (:background "red"))))
 '(ido-first-match ((t (:foreground "dark violet" :weight bold))))
 '(menu ((t nil)))
 '(ido-subdir ((t (:foreground "dark slate gray"))))
 '(ido-incomplete-regexp ((t (:foreground "dark slate gray" :weight ultra-bold))))
 '(ido-only-match ((t (:foreground "#007781"))))
 '(ido-virtual ((t (:inherit (font-lock-builtin-face)))))
 '(ido-indicator ((((min-colors 88) (class color)) (:width condensed :background "red1" :foreground "yellow1")) (((class color)) (:width condensed :background "red" :foreground "yellow")) (t (:inverse-video t))))
 '(buffer-menu-buffer ((t (:weight bold))))
 '(border ((t nil)))
 '(custom-button ((t (:background "lightgrey" :foreground "black" :box nil))))
 '(custom-button-pressed ((t (:background "light grey" :foreground "black" :box nil))))
 '(custom-button-unraised ((t (:box nil))))
 '(custom-button-mouse ((t (:background "grey90" :foreground "dark violet" :box nil))))
 '(custom-button-pressed-unraised ((t (:underline (:color foreground-color :style line) :foreground "magenta4"))))
 '(custom-set ((t (:background "white" :foreground "magenta4"))))
 '(custom-link ((t (:foreground "dark violet" :underline t))))
 '(custom-rogue ((((class color)) (:background "black" :foreground "pink")) (t (:underline (:color foreground-color :style line)))))
 '(widget-button ((t (:weight bold))))
 '(widget-button-pressed ((((min-colors 88) (class color)) (:foreground "red1")) (((class color)) (:foreground "red")) (t (:underline (:color foreground-color :style line) :weight bold))))
 '(window-divider-last-pixel ((t (:foreground "gray40"))))
 '(underline ((t (:underline (:color foreground-color :style line)))))
 '(custom-group-tag ((t (:foreground "dark violet" :weight bold :height 1.2))))
 '(custom-documentation ((t nil)))
 '(info-node ((t (:foreground "magenta4"))))
 '(info-header-xref ((t (:foreground "dark violet"))))
 '(info-header-node ((t (:foreground "#E5786D" :underline t))))
 '(info-menu-header ((t (:background "#c5cdff" :foreground "#123555" :overline "#123555" :weight bold :height 1.0))))
 '(info-title-2 ((t (:height 1.2 :inherit (info-title-3)))))
 '(info-title-4 ((t (:weight bold :inherit (variable-pitch)))))
 '(info-xref-visited ((t (:underline (:color foreground-color :style line) :foreground "magenta4"))))
 '(info-index-match ((t (:inherit (match)))))
 '(info-menu-star ((t (:foreground "black"))))
 '(info-title-1 ((t (:background "#c5cdff" :foreground "#2b2d3b" :weight bold :height 1.3))))
 '(info-title-3 ((t (:height 1.2 :inherit (info-title-4)))))
 '(info-xref ((t (:foreground "dark violet"))))
 '(homoglyph ((((class color) (min-colors 89)) (:foreground "#d55e00"))))
 '(error ((((class color) (min-colors 89)) (:weight bold :slant italic :foreground "#d55e00"))))
 '(warning ((((class color) (min-colors 89)) (:foreground "#e69f00"))))
 '(success ((((class color) (min-colors 89)) (:foreground "#009e73"))))
 '(message-header-name ((((class color) (min-colors 89)) (:foreground "#56b4e9"))))
 '(message-header-cc ((((class color) (min-colors 89)) (:foreground "#d55e00"))))
 '(message-header-other ((((class color) (min-colors 89)) (:foreground "#009e73"))))
 '(message-header-subject ((((class color) (min-colors 89)) (:foreground "#e69f00"))))
 '(message-header-to ((((class color) (min-colors 89)) (:weight bold :foreground "#0072b2"))))
 '(message-cited-text-1 ((((class color) (min-colors 89)) (:slant italic :foreground "#009e73"))))
 '(message-separator ((((class color) (min-colors 89)) (:weight bold :foreground "#cc79a7"))))
 '(flyspell-duplicate ((((class color) (min-colors 89)) (:weight unspecified :foreground unspecified :slant unspecified :underline "#e69f00"))))
 '(flyspell-incorrect ((((class color) (min-colors 89)) (:weight unspecified :foreground unspecified :slant unspecified :underline "#cc79a7"))))
 '(default ((t (:family "DejaVu Sans Mono" :foundry "unknown" :width normal :height 98 :weight normal :slant normal :underline nil :overline nil :strike-through nil :box nil :inverse-video nil :foreground "#333333" :background "#FFFFFF" :stipple nil :inherit nil)))))

(provide-theme 'almost-vim)
